### IlluminaBasecallsToSam

USAGE: IlluminaBasecallsToSam [options]

Generate a SAM or BAM file from data in an Illumina basecalls output directory.

Option | Description
--- | ---
GENERATE_SECONDARY_BASE_CALLS=Boolean | Deprecated. This does nothing. Default value: false. This option can be set to 'null' to clear the default value. Possible values: {true, false}
BUSTARD_DIR=File | Deprecated option; Use BASECALLS_DIR Required. Cannot be used in conjuction with option(s) BASECALLS_DIR (B)
BASECALLS_DIR=File | The basecalls output directory. Required. Cannot be used in conjuction with option(s) BUSTARD_DIR
LANE=Integer | Lane number. Required.
OUTPUT=File | The output SAM or BAM file. Format is determined by extension. Required. Cannot be used in conjuction with option(s) BARCODE_PARAMS
RUN_BARCODE=String | Prefixed to read names. Required.
SAMPLE_ALIAS=String | The name of the sequenced sample Required. Cannot be used in conjuction with option(s) BARCODE_PARAMS
READ_GROUP_ID=String | ID used to link RG header record with RG tag in SAM record. If these are unique in SAM files that get merged, merge performance is better. If not specified, READ_GROUP_ID = <first 5 chars of RUN_BARCODE>.<LANE> . Default value: null.
BASE_CALLER_VERSION=BaseCallerVersion | Use this option to override auto-detection of base caller version Default value: null. Possible values: {Bustard_1_3, Bustard_1_4, rta, Bustard_1_5, Bustard_1_6}
IMAGE_ANALYZER_VERSION=ImageAnalyzerVersion | Deprecated option; This value is ignored, image analyzer version is RTA Default value: null. Possible values: {Firecrest_1_1, Firecrest_1_3, Firecrest_1_4, rta}
LIBRARY_NAME=String | The name of the sequenced library Default value: null. Cannot be used in conjuction with option(s) BARCODE_PARAMS
FIRST_READ_LENGTH=Integer | This option no longer used. Default value: null.
SEQUENCING_CENTER=String | The name of the sequencing center that produced the reads to fill in the RG.CN tag. Default value: BI. This option can be set to 'null' to clear the default value.
RUN_START_DATE=Date | The start date of the run. Default value: null.
PLATFORM=String | The name of the sequencing technology that produced the read. Default value: illumina. This option can be set to 'null' to clear the default value.
BARCODE_CYCLE=Integer | 1-based cycle number of the start of the barcode. If BARCODE or BARCODE_LENGTH are specified, this must be specified. Default value: null.
BARCODE_LENGTH=Integer | Length of the barcode. If BARCODE_CYCLE or BARCODE is specified, this must be specified. Default value: null.
BARCODE_PARAMS=File | Tab-separated file for creating all output BAMs for barcoded run with single IlluminaBasecallsToSam invocation. Columns are BARCODE, OUTPUT, SAMPLE_ALIAS, and LIBRARY_NAME. Row with BARCODE=N is used to specify a file for no barcode match Required. Cannot be used in conjuction with option(s) SAMPLE_ALIAS (ALIAS) OUTPUT (O) LIBRARY_NAME (LIB)
MARK_ADAPTER=Boolean | Whether to mark the position of the adapter in the read Default value: true. This option can be set to 'null' to clear the default value. Possible values: {true, false}
NUM_PROCESSORS=Integer | Run this many TileProcessors in parallel. If NUM_PROCESSORS = 0, number of cores is automatically set to the number of cores available on the machine. If NUM_PROCESSORS < 0 then the number of cores used will be the number available on the machine less NUM_PROCESSORS. Default value: 0. This option can be set to 'null' to clear the default value.
FIRST_TILE=Integer | If set, this is the first tile to be processed (for debugging). Note that tiles are not processed in numerical order. Default value: null.
TILE_LIMIT=Integer | If set, process no more than this many tiles (for debugging). Default value: null.
FORCE_GC=Boolean | If true, call System.gc() periodically. This is useful in cases in which the -Xmx value passed is larger than the available memory. Default: enable FORCE_GC if multi-threading. Default value: null. Possible values: {true, false}
MAX_READS_IN_RAM_PER_TILE=Integer | Configure SortingCollections in TileProcessors to store this many records before spilling to disk. For an indexed run, each SortingCollection gets this value/number of indices. Default value: 1200000. This option can be set to 'null' to clear the default value.